# hardcode for now:
%{!?kversion: %define kversion 2.6.35.13-92.fc14.i686}
# hint: this can he overridden with "--define kversion foo" on the rpmbuild command line, e.g.
# --define "kversion 2.6.16-1.2096_FC5"

%define kmod_name linux-gpib

##%%define cvsrel 20070131cvs

Name:           %{kmod_name}-kmod
Version: 3.2.16
Release:       1.%(echo %{kversion} | tr - _)
##Release:        1.%{cvsrel}%(echo %{kversion} | tr - _)
Summary: Linux GPIB Project

Group:          System Environment/Kernel
License:        GPL
URL:             http://linux-gpib.sourceforge.net
Source0: %{kmod_name}-%{version}.tar.gz
##Source0: %{kmod_name}-%{version}-%{cvsrel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  i586 i686 x86_64

%package       -n kmod-%{kmod_name}
Summary:          %{kmod_name} kernel module(s)
Group:            System Environment/Kernel
Provides:         kernel-modules = %{kversion}
Provides:         %{kmod_name}-kmod = %{?epoch:%{epoch}:}%{version}-%{release}
#Requires:         kernel = %{kversion}
Requires:         %{kmod_name}-kmod-common >= %{?epoch:%{epoch}:}%{version}
Requires(post):   /sbin/depmod
Requires(postun): /sbin/depmod
BuildRequires:    kernel-devel
#= %{kversion}

%description
This is Linux-GPIB the IEEE-488 card support
package and measurement suite for LINUX.
%description   -n kmod-%{kmod_name}
This package provides the %{kmod_name} kernel modules built for the Linux
kernel %{kversion} for the %{_target_cpu} family of processors.

%prep
%setup -q -c
cd %{kmod_name}-%{version}
cd ..
cp -a %{kmod_name}-%{version} _kmod_build

%build
kv=%{kversion}
ks=%{_usrsrc}/kernels/%{kversion}
cd _kmod_build
%configure --with-linux-srcdir=$ks
for dir in {include,drivers}; do
    make %{?_smp_mflags} -C $dir
done
cd ..

%install
rm -rf $RPM_BUILD_ROOT
ks=%{_usrsrc}/kernels/%{kversion}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}/extra/linux-gpib
for dr in  `(cd _kmod_build/drivers/gpib; ls -d [a-z]*)`; do
	cp _kmod_build/drivers/gpib/$dr/*.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}/extra/linux-gpib || echo "go next."
done
chmod +x $RPM_BUILD_ROOT/lib/modules/*/extra/linux-gpib/*.ko

%clean
#clean can be called after building the package

%post          -n kmod-%{kmod_name}
/sbin/depmod -aeF /boot/System.map-%{kversion} %{kversion} > /dev/null || :

%postun        -n kmod-%{kmod_name}
/sbin/depmod -aF /boot/System.map-%{kversion} %{kversion} &> /dev/null || :

%files         -n kmod-%{kmod_name}
%defattr(644,root,root,755)
/lib/modules/%{kversion}/extra/%{kmod_name}/

%changelog
* Sat Jul 2 2011 Kentaro Kitagawa <kitag@issp.u-tokyo.ac.jp>
- build for Fedora 14.

* Fri Sep 10 2010 Kentaro Kitagawa <kitag@issp.u-tokyo.ac.jp>
- build for Fedora 13.

* Fri Jun 21 2008 Kentaro Kitagawa <kitag@issp.u-tokyo.ac.jp>
- build for Fedora 9.

* Sat Jan 20 2007 Kentaro Kitagawa <kitagawa@scphys.kyoto-u.ac.jp>
- initial build for Fedora Core.
